
package net.mcreator.coolcatmod.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.OcelotModel;

import net.mcreator.coolcatmod.entity.GoldcatEntity;

public class GoldcatRenderer extends MobRenderer<GoldcatEntity, OcelotModel<GoldcatEntity>> {
	public GoldcatRenderer(EntityRendererProvider.Context context) {
		super(context, new OcelotModel(context.bakeLayer(ModelLayers.OCELOT)), 0.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(GoldcatEntity entity) {
		return new ResourceLocation("cool_cat_mod:textures/entities/cat-on-planetminecraft-com.png");
	}
}
