
package net.mcreator.coolcatmod.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.OcelotModel;

import net.mcreator.coolcatmod.entity.RubycatEntity;

public class RubycatRenderer extends MobRenderer<RubycatEntity, OcelotModel<RubycatEntity>> {
	public RubycatRenderer(EntityRendererProvider.Context context) {
		super(context, new OcelotModel(context.bakeLayer(ModelLayers.OCELOT)), 0.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(RubycatEntity entity) {
		return new ResourceLocation("cool_cat_mod:textures/entities/pmcskin3d-ocelot_1.png");
	}
}
